/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160527-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt3.dat, Sat Aug 27 21:37:12 2016
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000474 (1140)
 *     Revision         0x01
 *     Checksum         0xFC
 *     OEM ID           "AMD"
 *     OEM Table ID     "CPMXPRES"
 *     OEM Revision     0x00000001 (1)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20051117 (537202967)
 */
DefinitionBlock ("", "SSDT", 1, "AMD", "CPMXPRES", 0x00000001)
{
    /*
     * iASL Warning: There were 9 external control methods found during
     * disassembly, but only 0 were resolved (9 unresolved). Additional
     * ACPI tables may be required to properly disassemble the code. This
     * resulting disassembler output file may not compile because the
     * disassembler did not know how many arguments to assign to the
     * unresolved methods. Note: SSDTs can be dynamically loaded at
     * runtime and may or may not be available via the host OS.
     *
     * To specify the tables needed to resolve external control method
     * references, the -e option can be used to specify the filenames.
     * Example iASL invocations:
     *     iasl -e ssdt1.aml ssdt2.aml ssdt3.aml -d dsdt.aml
     *     iasl -e dsdt.aml ssdt2.aml -d ssdt1.aml
     *     iasl -e ssdt*.aml -d dsdt.aml
     *
     * In addition, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     * Invocation:
     *     iasl -fe refs.txt -d dsdt.aml
     *
     * The following methods were unresolved and many not compile properly
     * because the disassembler had to guess at the number of arguments
     * required for each:
     */
    External (_SB_.PCI0.M125, UnknownObj)
    External (_SB_.PCI0.M126, UnknownObj)
    External (_SB_.PCI0.PB32, UnknownObj)
    External (_SB_.PCI0.PB33, UnknownObj)
    External (_SB_.PCI0.PB34, UnknownObj)
    External (M000, MethodObj)    // Warning: Unknown method, guessing 1 arguments
    External (M011, MethodObj)    // Warning: Unknown method, guessing 3 arguments
    External (M012, MethodObj)    // Warning: Unknown method, guessing 5 arguments
    External (M013, MethodObj)    // Warning: Unknown method, guessing 5 arguments
    External (M029, MethodObj)    // Warning: Unknown method, guessing 7 arguments
    External (M032, MethodObj)    // Warning: Unknown method, guessing 2 arguments
    External (M049, IntObj)
    External (M084, UnknownObj)
    External (M111, MethodObj)    // Warning: Unknown method, guessing 6 arguments
    External (M113, IntObj)
    External (M114, MethodObj)    // Warning: Unknown method, guessing 3 arguments
    External (M122, MethodObj)    // Warning: Unknown method, guessing 2 arguments
    External (M128, UnknownObj)
    External (M131, IntObj)
    External (M132, UnknownObj)

    Scope (\_GPE)
    {
        Method (_L05, 0, NotSerialized)  // _Lxx: Level-Triggered GPE
        {
            M132 = M049 /* External reference */
            0x10
            Local0
            M132 = M049 /* External reference */
            0x11
            Local1
            M132 = M049 /* External reference */
            0x12
            Local2
            M132 = M049 /* External reference */
            0x13
            Local3
            If (M029 (Local2, M032 (Local2, 0x00), M000 (0x0F04), M114 (Local0, Local1, 0x00), 
                M000 (0x0F05), Else
                    {
                        M032 (Local2, 0x01)
                        Local3 = M113 /* External reference */
                        Local4
                        If (Local4)
                        {
                            M000 (0x0204)
                            M114 (Local0, Local1, 0x01)
                            M000 (0x0205)
                        }
                    }, If (CondRefOf (\_SB.PCI0.PB34))
                    {
                        Notify (\_SB.PCI0.PB34, 0x00) // Bus Check
                    })) {}
        }

        Name (M127, 0x00)
        Method (_L0C, 0, NotSerialized)  // _Lxx: Level-Triggered GPE
        {
            Local7 = 0x00
            Local0 = M131 /* External reference */
            If (Local0)
            {
                M131 = M049 /* External reference */
                0x10
                Local0
                M131 = M049 /* External reference */
                0x11
                Local1
                Local1 = (M084 + ((Local0 * 0x0100) + Local1))
                M012 (Local1, 0x08, 0x00, 0x08, M127)
            }

            M127 ^= 0x01
            0x6C = M122 (Local1, M128 = M049 /* External reference */)
            Local2
            If (Local1 && Local2)
            {
                If (M127)
                {
                    M000 (0x4401)
                    M111 (M013 (M122 (0x15, 0x00), 0x08, 0x00, M111 (M013 (M122 (0x17, 0x00), 
                        0x08, 0x00, If (Local2 == 0x02)
                                    {
                                        If (Local0 || Local1)
                                                {
                                                    M114 (Local0, Local1, 0x00)
                                                    Local7 |= 0x01
                                                } = M011 (M122 (0x10, 0x05), 0x03, Local1) = M011 (M122 (0x10, 
                                                        0x00), 0x05, Local0)
                                        If (Local0 || Local1)
                                                {
                                                    M114 (Local0, Local1, 0x00)
                                                    Local7 |= 0x02
                                                } = M011 (M122 ((0x10 + 0x01), 0x05), 0x03, Local1) = 
                                                        M011 (M122 ((0x10 + 0x01), 0x00), 0x05, Local0)
                                        If (Local0 || Local1)
                                                {
                                                    M114 (Local0, Local1, 0x00)
                                                    Local7 |= 0x04
                                                } = M011 (M122 ((0x10 + 0x02), 0x05), 0x03, Local1) = 
                                                        M011 (M122 ((0x10 + 0x02), 0x00), 0x05, Local0)
                                        If (Local0 || Local1)
                                                {
                                                    M114 (Local0, Local1, 0x00)
                                                    Local7 |= 0x08
                                                } = M011 (M122 ((0x10 + 0x03), 0x05), 0x03, Local1) = 
                                                        M011 (M122 ((0x10 + 0x03), 0x00), 0x05, Local0)
                                        M111 (M013 (M122 (0x16, 0x00), 0x08, 0x00, M000 (0x4402), Else
                                                {
                                                    M000 (0x4403)
                                                    If (Local2 == 0x02)
                                                    {
                                                        M111 (M013 (M122 (0x16, 0x00), 0x08, 0x01, Sleep (0x64), Sleep (0x64)), 
                                                            If (Local0 || Local1)
                                                                    {
                                                                        M114 (Local0, Local1, 0x01)
                                                                        Local7 |= 0x01
                                                                    } = M011 (M122 (0x10, 0x05), 0x03, Local1) = M011 (M122 (0x10, 
                                                                            0x00), 0x05, Local0), If (Local0 || Local1)
                                                                    {
                                                                        M114 (Local0, Local1, 0x01)
                                                                        Local7 |= 0x02
                                                                    } = M011 (M122 ((0x10 + 0x01), 0x05), 0x03, Local1) = 
                                                                            M011 (M122 ((0x10 + 0x01), 0x00), 0x05, Local0), If (
                                                                            Local0 || Local1)
                                                                    {
                                                                        M114 (Local0, Local1, 0x01)
                                                                        Local7 |= 0x04
                                                                    } = M011 (M122 ((0x10 + 0x02), 0x05), 0x03, Local1) = 
                                                                            M011 (M122 ((0x10 + 0x02), 0x00), 0x05, Local0), If (
                                                                            Local0 || Local1)
                                                                    {
                                                                        M114 (Local0, Local1, 0x01)
                                                                        Local7 |= 0x08
                                                                    } = M011 (M122 ((0x10 + 0x03), 0x05), 0x03, Local1) = 
                                                                            M011 (M122 ((0x10 + 0x03), 0x00), 0x05, Local0), M000 (0x4404))
                                                    }

                                                    M111 (M013 (M122 (0x15, 0x00), 0x08, 0x01, M111 (M013 (M122 (0x17, 0x00), 
                                                        0x08, 0x01, If (Local7 & 0x01)
                                                                    {
                                                                        If (CondRefOf (\_SB.PCI0.PB32))
                                                                        {
                                                                            Notify (\_SB.PCI0.PB32, 0x00) // Bus Check
                                                                        }
                                                                    }, If (Local7 & 0x02)
                                                                    {
                                                                        If (CondRefOf (\_SB.PCI0.PB33))
                                                                        {
                                                                            Notify (\_SB.PCI0.PB33, 0x00) // Bus Check
                                                                        }
                                                                    }), If (Local7 & 0x04)
                                                                {
                                                                    If (CondRefOf (\_SB.PCI0.M125))
                                                                    {
                                                                        Notify (\_SB.PCI0.M125, 0x00) // Bus Check
                                                                    }
                                                                }, If (Local7 & 0x08)
                                                                {
                                                                    If (CondRefOf (\_SB.PCI0.M126))
                                                                    {
                                                                        Notify (\_SB.PCI0.M126, 0x00) // Bus Check
                                                                    }
                                                                })))
                                                }))
                                    }))))
                }
            }
        }
    }
}

